package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.auto.AutoSignInfo;
import com.brilliance.isc.vo.collection.AutsigQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AutoSignInfoMapper {
    AutoSignInfo selectOneByVo(@Param("vo") AutoSignInfo autoSignInfo);
    /**
     * 插入数据
     *
     * @param autoSignInfo 入参
     * @return int 返回结果
     */
    int insert(@Param("vo") AutoSignInfo autoSignInfo);

    /**
     * 更新数据
     *
     * @param autoSignInfo 入参
     * @return int 返回结果
     */
    int update(@Param("vo") AutoSignInfo autoSignInfo);

    AutoSignInfo selectOneByInr(@Param("inr") String inr);

    AutoSignInfo selectOneByActAndPaytyp(@Param("act") String act,@Param("paytyp") String paytyp);

    List<AutoSignInfo> selectList(@Param("vo") AutsigQueryVo autsigQueryVo);

    int deleteByIds(List<String> inrList);

    int deleteByPrimaryKey(@Param("inr") String inr);
}
